at.chipkarte.client.ebs.soap

## Class Bewilligungsakt

- Object
- - at.chipkarte.client.ebs.soap.Bewilligungsakt

-     public class Bewilligungsakt
      extends Object

  Dient der Ausgabe des kompletten Bewilligungsakts.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bewilligungsakt()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getAnsprechpersonNacherfasser()` Ansprechperson des nacherfassenden Vertragspartners.
    `AttachmentInfo` | `getAntragsAttachmentinfo()` Informationen zu Anlagen die dem Bewilligungsakt im Zuge der Antragsstellung hinzugefügt wurden.
    `String` | `getAntragsCode()` Eindeutiger Code für einen Antrag des Patienten.
    `String` | `getAntragsdatum()` Datum an dem der Antrag gestellt wurde.
    `String` | `getAntragsReferenz()` Eindeutiger Bezeichner eines Antrags.
    `String` | `getAntragsstatus()` Status des Antrags.
    `String` | `getAntragstyp()` Typ (Art) des Antrages.
    `String` | `getAntragZusatzinformation()` Ermittelte Zusatzinformation zum Antrag.
    `BeantragteLeistung[]` | `getBeantragteLeistungen()` Gespeicherte beantragte Leistungen.
    `CtAntragsdaten` | `getCtAntragsdaten()` Daten für einen CT Antrag.
    `DataHandler` | `getDruckaufbereitung()` Druckaufbereitung des Bewilligungsakts als PDF-Datei.
    `EntschiedeneLeistung[]` | `getEntschiedeneLeistungen()` Durch den zuständigen KV-Träger entschiedene Leistungen.
    `String` | `getErfasserkennung()` Angabe, durch welchen Akteur der Antrag erstellt wurde.
    `EvidenzDaten` | `getEvidenzdaten()` Evidenzdaten eines Antrages.
    `GenerelleMedizinischeAntragsdaten` | `getGenerelleMedizinischeAntragsdaten()` Generelle medizinische Antragsdaten.
    `String` | `getGueltigkeitsdatum()` Datum bis zu dem der Antrag gültig ist.
    `HumAntragsdaten` | `getHumAntragsdaten()` Daten für einen HUM Antrag.
    `KdmAntragsdaten` | `getKdmAntragsdaten()` Daten für einen KDM Antrag.
    `String` | `getKvt()` KV-Träger der aktuell für den Antrag zuständig ist.
    `Leistungsbezieher` | `getLeistungsbezieher()` Daten eines Patienten.
    `MrAntragsdaten` | `getMrAntragsdaten()` Daten für einen MR Antrag.
    `NukAntragsdaten` | `getNukAntragsdaten()` Daten für einen NUK Antrag.
    `RoetAntragsdaten` | `getRoetAntragsdaten()` Daten für einen ROET Antrag.
    `RoeuAntragsdaten` | `getRoeuAntragsdaten()` Daten für einen ROEU Antrag.
    `Boolean` | `getRolleErsteller()` Angabe, ob der (die Funktion durchführende) Vertragspartner der Ersteller des Antrags ist.
    `Boolean` | `getRolleLeistungserbringer()` Angabe, ob der (die Funktion durchführende) Vertragspartner der mittels VPNR eingetragene (und im eCS bestätigte) Verordner des Antrags ist.
    `Boolean` | `getRolleStornierung()` Angabe, ob der (die Funktion durchführende) Vertragspartner für die Stornierung des Antrags verantwortlich ist.
    `Boolean` | `getRolleVerordner()` Angabe, ob der (die Funktion durchführende) Vertragspartner der Leistungserbringer (Vertragspartner der die Leistung übernommen hat) des Antrags ist.
    `String` | `getSonstiges()` Sonstiges.
    `String` | `getStatusBegruendung()` Begründung zu dem aktuellen Antragsstatus.
    `String` | `getStornokennung()` Angabe, durch welchen Akteur der Antrag storniert wurde.
    `String` | `getTerminvereinbarungDurch()` Gibt an ob die Terminvereinbarung durch den VP selbst durchgeführt wurde oder durch einen anderen VP.
    `String` | `getTerminvereinbarungErfolgt()` Kennzeichnung ob ein Termin vereinbart ist.
    `Leistungsverordner` | `getVerordnerDaten()` Daten des Verordners.
    `String` | `getVerordnungsdatum()` Datum der Verordnungserstellung.
    `void` | `setAnsprechpersonNacherfasser(String ansprechpersonNacherfasser)`
    `void` | `setAntragsAttachmentinfo(AttachmentInfo antragsAttachmentinfo)`
    `void` | `setAntragsCode(String antragsCode)`
    `void` | `setAntragsdatum(String antragsdatum)`
    `void` | `setAntragsReferenz(String antragsReferenz)`
    `void` | `setAntragsstatus(String antragsstatus)`
    `void` | `setAntragstyp(String antragstyp)`
    `void` | `setAntragZusatzinformation(String antragZusatzinformation)`
    `void` | `setBeantragteLeistungen(BeantragteLeistung[] beantragteLeistungen)`
    `void` | `setCtAntragsdaten(CtAntragsdaten ctAntragsdaten)`
    `void` | `setDruckaufbereitung(DataHandler druckaufbereitung)`
    `void` | `setEntschiedeneLeistungen(EntschiedeneLeistung[] entschiedeneLeistungen)`
    `void` | `setErfasserkennung(String erfasserkennung)`
    `void` | `setEvidenzdaten(EvidenzDaten evidenzdaten)`
    `void` | `setGenerelleMedizinischeAntragsdaten(GenerelleMedizinischeAntragsdaten generelleMedizinischeAntragsdaten)`
    `void` | `setGueltigkeitsdatum(String gueltigkeitsdatum)`
    `void` | `setHumAntragsdaten(HumAntragsdaten humAntragsdaten)`
    `void` | `setKdmAntragsdaten(KdmAntragsdaten kdmAntragsdaten)`
    `void` | `setKvt(String kvt)`
    `void` | `setLeistungsbezieher(Leistungsbezieher leistungsbezieher)`
    `void` | `setMrAntragsdaten(MrAntragsdaten mrAntragsdaten)`
    `void` | `setNukAntragsdaten(NukAntragsdaten nukAntragsdaten)`
    `void` | `setRoetAntragsdaten(RoetAntragsdaten roetAntragsdaten)`
    `void` | `setRoeuAntragsdaten(RoeuAntragsdaten roeuAntragsdaten)`
    `void` | `setRolleErsteller(Boolean rolleErsteller)`
    `void` | `setRolleLeistungserbringer(Boolean rolleLeistungserbringer)`
    `void` | `setRolleStornierung(Boolean rolleStornierung)`
    `void` | `setRolleVerordner(Boolean rolleVerordner)`
    `void` | `setSonstiges(String sonstiges)`
    `void` | `setStatusBegruendung(String statusBegruendung)`
    `void` | `setStornokennung(String stornokennung)`
    `void` | `setTerminvereinbarungDurch(String terminvereinbarungDurch)`
    `void` | `setTerminvereinbarungErfolgt(String terminvereinbarungErfolgt)`
    `void` | `setVerordnerDaten(Leistungsverordner verordnerDaten)`
    `void` | `setVerordnungsdatum(String verordnungsdatum)`

    - ### Methods inherited from class Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Bewilligungsakt

          public Bewilligungsakt()

  - ### Method Detail

    - #### getAntragsReferenz

          public String getAntragsReferenz()

      Eindeutiger Bezeichner eines Antrags.
      Angabe: Muss.
      Format: 17-stellig
      Returns:
        AntragsReferenz.

    - #### setAntragsReferenz

          public void setAntragsReferenz(String antragsReferenz)

    - #### getLeistungsbezieher

          public Leistungsbezieher getLeistungsbezieher()

      Daten eines Patienten. Siehe `Leistungsbezieher`.
      Angabe: Muss.
      Returns:
        Leistungsbezieher.

    - #### setLeistungsbezieher

          public void setLeistungsbezieher(Leistungsbezieher leistungsbezieher)

    - #### getAntragsCode

          public String getAntragsCode()

      Eindeutiger Code für einen Antrag des Patienten.
      Angabe: Muss.
      Format: 6-stellig
      Returns:
        AntragsCode.

    - #### setAntragsCode

          public void setAntragsCode(String antragsCode)

    - #### getAntragsdatum

          public String getAntragsdatum()

      Datum an dem der Antrag gestellt wurde.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:
        Antragsdatum.

    - #### setAntragsdatum

          public void setAntragsdatum(String antragsdatum)

    - #### getAntragstyp

          public String getAntragstyp()

      Typ (Art) des Antrages.
      Mögliche Werte (Code der Basisdaten im AntragstypDetail) siehe `antragstypenErmitteln`.
      Angabe: Muss.
      Returns:
        Antragstyp.

    - #### setAntragstyp

          public void setAntragstyp(String antragstyp)

    - #### getKvt

          public String getKvt()

      KV-Träger der aktuell für den Antrag zuständig ist.
      Mögliche Werte siehe `getSVTs`.
      Angabe: Muss.
      Returns:
        Kvt.

    - #### setKvt

          public void setKvt(String kvt)

    - #### getAntragsstatus

          public String getAntragsstatus()

      Status des Antrags.
      Mögliche Werte siehe `AntragsstatusTypConstants`.
      Angabe: Muss.
      Returns:
        Antragsstatus.

    - #### setAntragsstatus

          public void setAntragsstatus(String antragsstatus)

    - #### getStatusBegruendung

          public String getStatusBegruendung()

      Begründung zu dem aktuellen Antragsstatus.
      Angabe: Kann.
      Format: 1000-stellig
      Returns:
        StatusBegruendung.

    - #### setStatusBegruendung

          public void setStatusBegruendung(String statusBegruendung)

    - #### getGueltigkeitsdatum

          public String getGueltigkeitsdatum()

      Datum bis zu dem der Antrag gültig ist.
      Angabe: Bedingt. Nur versorgt wenn der Antrag bereits beantwortet wurde.
      Format: TT.MM.JJJJ
      Returns:
        Gueltigkeitsdatum.

    - #### setGueltigkeitsdatum

          public void setGueltigkeitsdatum(String gueltigkeitsdatum)

    - #### getVerordnungsdatum

          public String getVerordnungsdatum()

      Datum der Verordnungserstellung.
      Kann bei Nacherfassten Anträgen vom Antragsdatum abweichen.
      Angabe: Muss.
      Format: TT.MM.JJJJ
      Returns:
        Verordnungsdatum.

    - #### setVerordnungsdatum

          public void setVerordnungsdatum(String verordnungsdatum)

    - #### getGenerelleMedizinischeAntragsdaten

          public GenerelleMedizinischeAntragsdaten getGenerelleMedizinischeAntragsdaten()

      Generelle medizinische Antragsdaten. Siehe `GenerelleMedizinischeAntragsdaten`.
      Angabe: Muss.
      Returns:
        GenerelleMedizinischeAntragsdaten.

    - #### setGenerelleMedizinischeAntragsdaten

          public void setGenerelleMedizinischeAntragsdaten(GenerelleMedizinischeAntragsdaten generelleMedizinischeAntragsdaten)

    - #### getCtAntragsdaten

          public CtAntragsdaten getCtAntragsdaten()

      Daten für einen CT Antrag. Siehe `CtAntragsdaten`.
      Angabe: Bedingt. Versorgt wenn Antragstyp gleich CT.
      Returns:
        CtAntragsdaten.

    - #### setCtAntragsdaten

          public void setCtAntragsdaten(CtAntragsdaten ctAntragsdaten)

    - #### getMrAntragsdaten

          public MrAntragsdaten getMrAntragsdaten()

      Daten für einen MR Antrag. Siehe `MrAntragsdaten`.
      Angabe: Bedingt. Versorgt wenn Antragstyp gleich MR.
      Returns:
        MrAntragsdaten.

    - #### setMrAntragsdaten

          public void setMrAntragsdaten(MrAntragsdaten mrAntragsdaten)

    - #### getNukAntragsdaten

          public NukAntragsdaten getNukAntragsdaten()

      Daten für einen NUK Antrag. Siehe `NukAntragsdaten`.
      Angabe: Bedingt. Versorgt wenn Antragstyp gleich NUK.
      Returns:
        NukAntragsdaten.

    - #### setNukAntragsdaten

          public void setNukAntragsdaten(NukAntragsdaten nukAntragsdaten)

    - #### getKdmAntragsdaten

          public KdmAntragsdaten getKdmAntragsdaten()

      Daten für einen KDM Antrag. Siehe `KdmAntragsdaten`.
      Angabe: Bedingt. Versorgt wenn Antragstyp gleich KDM.
      Returns:
        KdmAntragsdaten.

    - #### setKdmAntragsdaten

          public void setKdmAntragsdaten(KdmAntragsdaten kdmAntragsdaten)

    - #### getHumAntragsdaten

          public HumAntragsdaten getHumAntragsdaten()

      Daten für einen HUM Antrag. Siehe `HumAntragsdaten`.
      Angabe: Bedingt. Versorgt wenn Antragstyp gleich HUM.
      Returns:
        HumAntragsdaten.

    - #### setHumAntragsdaten

          public void setHumAntragsdaten(HumAntragsdaten humAntragsdaten)

    - #### getRoetAntragsdaten

          public RoetAntragsdaten getRoetAntragsdaten()

      Daten für einen ROET Antrag. Siehe `RoetAntragsdaten`.
      Angabe: Bedingt. Versorgt wenn Antragstyp gleich ROET.
      Returns:
        RoetAntragsdaten.

    - #### setRoetAntragsdaten

          public void setRoetAntragsdaten(RoetAntragsdaten roetAntragsdaten)

    - #### getRoeuAntragsdaten

          public RoeuAntragsdaten getRoeuAntragsdaten()

      Daten für einen ROEU Antrag. Siehe `RoeuAntragsdaten`.
      Angabe: Bedingt. Versorgt wenn Antragstyp gleich ROEU.
      Returns:
        RoeuAntragsdaten.

    - #### setRoeuAntragsdaten

          public void setRoeuAntragsdaten(RoeuAntragsdaten roeuAntragsdaten)

    - #### getBeantragteLeistungen

          public BeantragteLeistung[] getBeantragteLeistungen()

      Gespeicherte beantragte Leistungen. Siehe `BeantragteLeistung`.
      Angabe: Muss.
      1 bis 10 Elemente.
      Returns:
        BeantragteLeistungen.

    - #### setBeantragteLeistungen

          public void setBeantragteLeistungen(BeantragteLeistung[] beantragteLeistungen)

    - #### getEntschiedeneLeistungen

          public EntschiedeneLeistung[] getEntschiedeneLeistungen()

      Durch den zuständigen KV-Träger entschiedene Leistungen. Siehe `EntschiedeneLeistung`.
      Angabe: Bedingt. Die entschiedenen Leistungen sind nur versorgt wenn: Der Antrag beantwortet wurde.
      0 bis 100 Elemente.
      Returns:
        EntschiedeneLeistungen.

    - #### setEntschiedeneLeistungen

          public void setEntschiedeneLeistungen(EntschiedeneLeistung[] entschiedeneLeistungen)

    - #### getEvidenzdaten

          public EvidenzDaten getEvidenzdaten()

      Evidenzdaten eines Antrages. Siehe `EvidenzDaten`.
      Beinhaltet alle Evidenzmeldungen und alle Evidenzantworten (gegliedert nach dem zeitlichen Eingang).
      Angabe: Kann.
      Returns:
        Evidenzdaten.

    - #### setEvidenzdaten

          public void setEvidenzdaten(EvidenzDaten evidenzdaten)

    - #### getVerordnerDaten

          public Leistungsverordner getVerordnerDaten()

      Daten des Verordners. Siehe `Leistungsverordner`.
      Angabe: Muss.
      Returns:
        VerordnerDaten.

    - #### setVerordnerDaten

          public void setVerordnerDaten(Leistungsverordner verordnerDaten)

    - #### getAnsprechpersonNacherfasser

          public String getAnsprechpersonNacherfasser()

      Ansprechperson des nacherfassenden Vertragspartners.
      Hinweis: Vor- und Zuname einer Ansprechperson.
      Angabe: Kann.
      Format: 140-stellig
      Returns:
        AnsprechpersonNacherfasser.

    - #### setAnsprechpersonNacherfasser

          public void setAnsprechpersonNacherfasser(String ansprechpersonNacherfasser)

    - #### getErfasserkennung

          public String getErfasserkennung()

      Angabe, durch welchen Akteur der Antrag erstellt wurde.
      Mögliche Werte siehe `ErfasserkennungTypConstants`.
      Angabe: Muss.
      Returns:
        Erfasserkennung.

    - #### setErfasserkennung

          public void setErfasserkennung(String erfasserkennung)

    - #### getRolleErsteller

          public Boolean getRolleErsteller()

      Angabe, ob der (die Funktion durchführende) Vertragspartner der Ersteller des Antrags ist.
      Angabe: Muss.
      Returns:
        RolleErsteller.

    - #### setRolleErsteller

          public void setRolleErsteller(Boolean rolleErsteller)

    - #### getRolleLeistungserbringer

          public Boolean getRolleLeistungserbringer()

      Angabe, ob der (die Funktion durchführende) Vertragspartner der mittels VPNR eingetragene (und im eCS bestätigte) Verordner des Antrags ist.
      Angabe: Muss.
      Returns:
        RolleLeistungserbringer.

    - #### setRolleLeistungserbringer

          public void setRolleLeistungserbringer(Boolean rolleLeistungserbringer)

    - #### getRolleVerordner

          public Boolean getRolleVerordner()

      Angabe, ob der (die Funktion durchführende) Vertragspartner der Leistungserbringer (Vertragspartner der die Leistung übernommen hat) des Antrags ist.
      Angabe: Muss.
      Returns:
        RolleVerordner.

    - #### setRolleVerordner

          public void setRolleVerordner(Boolean rolleVerordner)

    - #### getStornokennung

          public String getStornokennung()

      Angabe, durch welchen Akteur der Antrag storniert wurde.
      Mögliche Werte siehe `ErfasserkennungTypConstants`.
      Angabe: Kann. Nur versorgt wenn der Antrag im Status storniert ist.
      Returns:
        Stornokennung.

    - #### setStornokennung

          public void setStornokennung(String stornokennung)

    - #### getRolleStornierung

          public Boolean getRolleStornierung()

      Angabe, ob der (die Funktion durchführende) Vertragspartner für die Stornierung des Antrags verantwortlich ist.
      Angabe: Kann. Nur versorgt wenn der Antrag im Status storniert ist.
      Returns:
        RolleStornierung.

    - #### setRolleStornierung

          public void setRolleStornierung(Boolean rolleStornierung)

    - #### getAntragsAttachmentinfo

          public AttachmentInfo getAntragsAttachmentinfo()

      Informationen zu Anlagen die dem Bewilligungsakt im Zuge der Antragsstellung hinzugefügt wurden. Siehe `AttachmentInfo`.
      Anlagen aufgrund Evidenzbeantwortungen sind hier nicht enthalten.
      Angabe: Kann.
      Returns:
        AntragsAttachmentinfo.

    - #### setAntragsAttachmentinfo

          public void setAntragsAttachmentinfo(AttachmentInfo antragsAttachmentinfo)

    - #### getDruckaufbereitung

          public DataHandler getDruckaufbereitung()

      Druckaufbereitung des Bewilligungsakts als PDF-Datei.
      Angabe: Muss.
      Returns:
        SOAP-Attachment.

    - #### setDruckaufbereitung

          public void setDruckaufbereitung(DataHandler druckaufbereitung)

    - #### getTerminvereinbarungErfolgt

          public String getTerminvereinbarungErfolgt()

      Kennzeichnung ob ein Termin vereinbart ist.
      Mögliche Werte siehe `KennzeichenJaNeinTypConstants`.
      Angabe: Muss.
      Returns:
        TerminvereinbarungErfolgt.

    - #### setTerminvereinbarungErfolgt

          public void setTerminvereinbarungErfolgt(String terminvereinbarungErfolgt)

    - #### getTerminvereinbarungDurch

          public String getTerminvereinbarungDurch()

      Gibt an ob die Terminvereinbarung durch den VP selbst durchgeführt wurde oder durch einen anderen VP.
      Mögliche Werte siehe `TerminvereinbarungDurchTypConstants`.
      Angabe: Bedingt. Versorgt wenn TerminvereinbarungErfolgt gleich "Ja".
      Returns:
        TerminvereinbarungDurch.

    - #### setTerminvereinbarungDurch

          public void setTerminvereinbarungDurch(String terminvereinbarungDurch)

    - #### getAntragZusatzinformation

          public String getAntragZusatzinformation()

      Ermittelte Zusatzinformation zum Antrag.
      Beinhaltet unter Umständen das Zeichen '0xA' (Character 10) zur Kennzeichnung von Zeilenumbrüchen innerhalb der Zusatzinformation.
      Angabe: Kann.
      Format: 1000-stellig
      Returns:
        AntragZusatzinformation.

    - #### setAntragZusatzinformation

          public void setAntragZusatzinformation(String antragZusatzinformation)

    - #### getSonstiges

          public String getSonstiges()

      Sonstiges.
      Angabe: Kann.
      Format: 256-stellig
      Returns:
        Sonstiges.

    - #### setSonstiges

          public void setSonstiges(String sonstiges)